> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.arcstudiopro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List snapshots

> Return snapshot metadata for a script.

Returns snapshot metadata only.

```bash theme={null}
curl "https://api.arcstudiopro.com/v1/projects/project_.../scripts/script_.../snapshots" \
  -H "Authorization: Bearer $ARC_STUDIO_API_KEY"
```

```json theme={null}
{
  "object": "list",
  "url": "/v1/projects/project_.../scripts/script_.../snapshots",
  "has_more": false,
  "data": [
    {
      "id": "snapshot_...",
      "object": "script_snapshot",
      "description": null,
      "revision_color": null,
      "created_at": "2026-06-24T12:00:00Z",
      "formats": ["json", "md"]
    }
  ]
}
```
